DHUPrivateParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class DHUPrivateParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.DHUPrivateParameters

- All Implemented Interfaces:
    CipherParameters

      public class DHUPrivateParameters
      extends java.lang.Object
      implements CipherParameters

  Parameters holder for private unified static/ephemeral agreement as described in NIST SP 800-56A.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey, DHPrivateKeyParameters ephemeralPrivateKey)`
    `DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey, DHPrivateKeyParameters ephemeralPrivateKey, DHPublicKeyParameters ephemeralPublicKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DHPrivateKeyParameters` | `getEphemeralPrivateKey()`
    `DHPublicKeyParameters` | `getEphemeralPublicKey()`
    `DHPrivateKeyParameters` | `getStaticPrivateKey()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DHUPrivateParameters

          public DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey,
                                      DHPrivateKeyParameters ephemeralPrivateKey)

    - #### DHUPrivateParameters

          public DHUPrivateParameters(DHPrivateKeyParameters staticPrivateKey,
                                      DHPrivateKeyParameters ephemeralPrivateKey,
                                      DHPublicKeyParameters ephemeralPublicKey)

  - ### Method Detail

    - #### getStaticPrivateKey

          public DHPrivateKeyParameters getStaticPrivateKey()

    - #### getEphemeralPrivateKey

          public DHPrivateKeyParameters getEphemeralPrivateKey()

    - #### getEphemeralPublicKey

          public DHPublicKeyParameters getEphemeralPublicKey()